//
//  UIView+Shake.h
//  WiggleEffectSimple
//
//  Created by harald bregu on 01/07/13.
//  Copyright (c) 2013 harald bregu. All rights reserved.
//

#import <UIKit/UIKit.h>

#define ANIMATION_REPEATCOUNT 5
#define ANIMATION_DURATION 0.06

typedef enum {
    ShakeTypeNormal,
    ShakeTypeWiggle,
    ShakeTypeHeart,
}ShakeType;

@interface UIView (Shake) 

-(void)startAnimationWithShakeType:(ShakeType)shakeType;

@end
