//
//  ViewController.m
//  WiggleEffectSimple
//
//  Created by harald bregu on 01/07/13.
//  Copyright (c) 2013 harald bregu. All rights reserved.
//

#import "ViewController.h"
#import "UIView+Shake.h"


@implementation ViewController

-(void)viewDidLoad {
    [super viewDidLoad];
    
    [self.imageView startAnimationWithShakeType:ShakeTypeHeart];
}

- (IBAction)shake:(UIButton *)sender {
    
    sender.selected = !sender.isSelected;
    
    if (sender.isSelected) {
        [sender setTitle:@"Normal" forState:UIControlStateNormal];
        [self.imageView startAnimationWithShakeType:ShakeTypeNormal];
    } if (!sender.isSelected) {
        [sender setTitle:@"Wiggle" forState:UIControlStateNormal];
        [self.imageView startAnimationWithShakeType:ShakeTypeWiggle];
    }
}
@end
